diff -Nur vvv1/videodir.c vvv2/videodir.c
--- vvv1/videodir.c	2005-12-18 11:33:20.000000000 +0100
+++ vvv2/videodir.c	2006-07-12 14:53:01.543868750 +0200
@@ -18,6 +18,7 @@
 #include <unistd.h>
 #include "recording.h"
 #include "tools.h"
+#include "config.h"
 
 const char *VideoDirectory = VIDEODIR;
 
@@ -116,16 +117,50 @@
   // Are we going to create a new file?
   if ((Flags & O_CREAT) != 0) {
      cVideoDirectory Dir;
+     cVideoDirectory Dir_test;  //Only for FreeDiskSpace Check
      if (Dir.IsDistributed()) {
         // Find the directory with the most free space:
-        int MaxFree = Dir.FreeMB();
-        while (Dir.Next()) {
-              int Free = FreeDiskSpaceMB(Dir.Name());
+
+        //Herausfinden wieviel maximal in einem Verzeichnis frei ist.
+        int MaxFree = Dir_test.FreeMB();
+        while (Dir_test.Next()) {
+              int Free = FreeDiskSpaceMB(Dir_test.Name());
               if (Free > MaxFree) {
-                 Dir.Store();
-                 MaxFree = Free;
+                  MaxFree = Free;
                  }
               }
+        //Wenn mehr als 2048MB in einem Bereich vorhanden ist, dann nach neuer Methode Aufnahmeverzeichnis heraussuchen      
+        isyslog("INFO: Aufnahmestrategie Checkpoint 1: Auswahlkriterium MaxFree= %i > 2048", MaxFree);
+        if (MaxFree > 2048) {
+            isyslog("INFO: Aufnahmestrategie Checkpoint 2. Neue Fuellmethode");
+            isyslog("INFO: Pruefe fuer naechste Datei: Dir.Name, Dir.FreeMB(): %s, %i", Dir.Name(), Dir.FreeMB());
+            if ( FreeDiskSpaceMB(Dir.Name()) <= 2048 ) {
+                while (Dir.Next()) {
+                    isyslog("INFO: Pruefe fuer naechste Datei: Dir.Name, Dir.FreeMB(): %s, %i", Dir.Name(), Dir.FreeMB());
+                    if (FreeDiskSpaceMB(Dir.Name()) > 2048) {
+                       isyslog("INFO: Waehle fuer naechste Datei: Dir.Name, Dir.FreeMB(): %s, %i", Dir.Name(), Dir.FreeMB());
+                       Dir.Store();
+                       break;
+                       }
+                    }
+                } else {
+                    isyslog("INFO: Waehle fuer naechste Datei: Dir.Name, Dir.FreeMB(): %s, %i", Dir.Name(), Dir.FreeMB());
+                }
+            } else {   //Wenn weniger als 2048MB in jedem Aufnahmeverzeichnis zur verfgung steht, dann nach alter Methode das Verzeichnis verwenden, das den meisten Speicherplatz bietet!
+            isyslog("INFO: Aufnahmestrategie Checkpoint 3. Es wird der Orginal Code zur Aufnahmeverzeichnisauswahl ausgefhrt");
+            MaxFree = Dir.FreeMB();
+            isyslog("INFO: Pruefe fuer naechste Datei: Dir.Name, Dir.FreeMB(), MaxFree: %s, %i, %i", Dir.Name(), Dir.FreeMB(), MaxFree);
+            while (Dir.Next()) {
+                isyslog("INFO: Pruefe fuer naechste Datei: Dir.Name, Dir.FreeMB(), MaxFree: %s, %i, %i", Dir.Name(), Dir.FreeMB(), MaxFree);
+                int Free = FreeDiskSpaceMB(Dir.Name());
+                if (Free > MaxFree) {
+                    Dir.Store();
+                    MaxFree = Free;
+                    isyslog("INFO: Waehle fuer naechste Datei: Dir.Name, Dir.FreeMB(), MaxFree: %s, %i, %i", Dir.Name(), Dir.FreeMB(), MaxFree);
+                    }
+                }
+            }
+
         if (Dir.Stored()) {
            ActualFileName = Dir.Adjust(FileName);
            if (!MakeDirs(ActualFileName, false))
